# ScheduleMethod in maplibre::io::scheduler - Rust
Can schedule a task from a future factory and a shared state.
Keywords: rust, rustlang, rust-lang, ScheduleMethod

# Trait maplibre::io::scheduler::ScheduleMethod

source · [−]

    pub trait ScheduleMethod: 'static {
        fn schedule<T>(
            &self,
            future_factory: impl FnOnce() -> T + Send + 'static
        ) -> Result<(), Error>
        where
            T: Future<Output = ()> + Send + 'static;
    }

Expand description

Can schedule a task from a future factory and a shared state.

## Required methods

source

#### fn schedule<T>(
&self,
future_factory: impl FnOnce() -> T + Send + 'static
) -> Result<(), Error> where
T: Future<Output = ()> + Send + 'static,

## Implementors

source

### impl ScheduleMethod for TokioScheduleMethod